﻿/*body {
    padding-top: 50px;
    padding-bottom: 20px;
}*/
body {
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
    -khtml-user-select: none; /* Konqueror HTML */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
    user-select: none;
}
/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
    max-width: 280px;
}

/*Test Controller*/
.PrevQuestion{
    float:left;
}
.NextQuestion
{
    float:right;
}
.testSections {
    display: none;
    width: 100%;
    padding:110px 0px 60px 0px;
}
#TestingHead {
    position: fixed;
    z-index: 999;
    top: 0px;
    left: 0px;
    width: 100%;
    background: white;
    padding: 10px;
    border-bottom: 1px solid rgba(0,0,0,.1);
}
#TestingFoot {
    position: fixed;
    z-index: 999;
    bottom: 0px;
    left: 0px;
    width: 100%;
    background: white;
    padding: 10px;
    border-top: 1px solid rgba(0,0,0,.1);
}
.primerySections {
    position: absolute;
    display: none;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100vh;
    background-color: white;
    padding: 20px 0px 0px 0px;
    z-index:500;
}
.testTable {
    width: 100%;
}
.audio-player {
    width: 100%;
    height: auto;
}
.video-player {
    width: 100%;
    height: auto;
    background: #929292;
    border-radius: 15px;
}
.img-player {
    width: 100%;
    height: auto;
    background: #929292;
    border-radius: 15px;
}
.secBtn1 {
background: url(../Content/img/reading.png);
}
.secBtn1:hover > div {
    background-color: #84cba8cc !important
}
.secBtn1 > div {
    background-color: #329e69cc !important;
}
.secBtn2 {
background: url(../Content/img/writing.jpg);
}

.secBtn2:hover > div {
    background-color: #92b7dacc !important;
}

.secBtn2 > div {
    background-color: #5aa4e9cc !important;
}
.secBtn3 {
background: url(../Content/img/speaking.jpg);
}

.secBtn3:hover > div {
    background-color: #e0d2a8cc !important;
}

.secBtn3 > div {
    background-color: #FFD966cc !important;
}
.secBtn4 {
background: url(../Content/img/listening.jpg);
}

.secBtn4:hover > div {
    background-color: #ddcfc5cc !important;
}

.secBtn4 > div {
    background-color: #F4B183cc !important;
}
.secBtn5 {
    background: url(../Content/img/reading.png);
}

.secBtn5:hover > div {
    background-color: #c7c1f5cc !important;
}

.secBtn5 > div {
    background-color: #8f83f4cc !important;
}

.finishedSpan {
    display:none;
    position: absolute;
    transform: rotate(-55deg);
    z-index: 10;
    color: red;
    font-size: 2em;
}
.mainbutton {
    height: 100%;
    background-size: cover;
    margin: 0px;
    padding: 0px;
    border-radius: 10px;
    cursor: pointer;
}
.mainbutton > div {
    width:100%;
    height:100%;
    border-radius: 10px;
    padding: 20px;
    background-color: #565656cc;
}
.mainbutton > div > div {
    color: white;
    font-size: 1.4em;
    width: 100%;
    height: 100%;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
}
    .mainbutton.disable:hover > div {
        background-color: #e7e7e7d1 !important;
    }
    .mainbutton.disable > div {
        background-color: #e7e7e7d1 !important;
    }
.mainbutton.disable > div > div > div.sectioninfodiv {
    filter: blur(3px);
}
    .mainbutton.disable > div > div > div.circle-loader {
        display: block;
    }



.mainbutton.disable {
    cursor: not-allowed !important;
}
.selectable-img {
    width: 100%;
    height: auto;
    background: #929292;
    border-radius: 15px;
}
.selectable-img-container {
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    width:25%;
    height:auto;
    padding: 3px;
}
.selectable-img-container input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}
.selectable-button-container {
    width: 50%;
    text-align:center;
}
.selectable-button-container > span{
    width: 100%;
}
.selectable-button-container input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}
.selectable-img-container:hover input ~ .selectable-img {
    transform: scale(1.1);
}
.selectable-img-container input:checked ~ .selectable-img {
    border: 5px solid #ea4646;
}
.selectable-button-container input:checked ~ .selectable-button {
    border: 5px solid #ea4646;
}
#topicCol{
    vertical-align:top;
}
#TestCol {
    vertical-align: top;
}
.text-editor {
    width: 100% !important;
    max-width: 100% !important;
}
.btn-circle.btn-xl {
    width: 70px;
    height: 70px;
    padding: 10px 16px;
    border-radius: 35px;
    font-size: 24px;
    line-height: 1.33;
}

.btn-circle {
    width: 80px;
    height: 80px;
    padding: 6px 0px;
    border-radius: 40px;
    text-align: center;
    font-size: 50px;
    line-height: 1.1;
}
.btn-circle-recording {
    box-shadow: 0 0 0 .5rem rgba(225,83,97,.5);
    -webkit-animation-name: recordingAnimate; /* Safari 4.0 - 8.0 */
    -webkit-animation-duration: 2s; /* Safari 4.0 - 8.0 */
    animation-name: recordingAnimate;
    animation-duration: 2s;
    animation-iteration-count: infinite;
}
@-webkit-keyframes recordingAnimate {
    0% {
        box-shadow: 0 0 0 .5rem rgba(225,83,97,.5);
    }

    50% {
        box-shadow: 0 0 0 .8rem rgba(225,83,97,.5);
    }

    100% {
        box-shadow: 0 0 0 .5rem rgba(225,83,97,.5);
    }
}

/* Standard syntax */
@keyframes recordingAnimate {
    0% {
        box-shadow: 0 0 0 .5rem rgba(225,83,97,.5);
    }

    50% {
        box-shadow: 0 0 0 .8rem rgba(225,83,97,.5);
    }

    100% {
        box-shadow: 0 0 0 .5rem rgba(225,83,97,.5);
    }
}
/*animate*/
.circle-loader {
    position: absolute;
    margin-bottom: 3.5em;
    border: 5px solid rgb(255,255,255);
    border-left-color: #5cb85c;
    animation: loader-spin 1.2s infinite linear;
    display: inline-block;
    vertical-align: top;
    border-radius: 50%;
    width: 7em;
    height: 7em;
    z-index:10;
    display:none;
}

.load-complete {
    -webkit-animation: none;
    animation: none;
    border-color: #5cb85c;
    transition: border 500ms ease-out;
}

.checkmark {
    display: none;
}

    .checkmark.draw:after {
        animation-duration: 800ms;
        animation-timing-function: ease;
        animation-name: checkmark;
        transform: scaleX(-1) rotate(135deg);
    }

    .checkmark:after {
        opacity: 1;
        height: 3.5em;
        width: 1.75em;
        transform-origin: left top;
        border-right: 6px solid #5cb85c;
        border-top: 6px solid #5cb85c;
        content: '';
        left: 1.75em;
        top: 3.5em;
        position: absolute;
    }

@keyframes loader-spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

@keyframes checkmark {
    0% {
        height: 0;
        width: 0;
        opacity: 1;
    }

    20% {
        height: 0;
        width: 1.75em;
        opacity: 1;
    }

    40% {
        height: 3.5em;
        width: 1.75em;
        opacity: 1;
    }

    100% {
        height: 3.5em;
        width: 1.75em;
        opacity: 1;
    }
}
.progressbar {
    position: fixed;
    top: 0px;
    left: 0px;
    padding: 0px;
    margin: 0px;
    width: 100%;
    height: 8px;
    z-index:1000;
}

    .progressbar .inner {
        height: 100%;
        animation: progressbar-countdown;
        /* Placeholder, this will be updated using javascript */
        animation-duration: 40s;
        /* We stop in the end */
        animation-iteration-count: 1;
        /* Stay on pause when the animation is finished finished */
        animation-fill-mode: forwards;
        /* We start paused, we start the animation using javascript */
        animation-play-state: paused;
        /* We want a linear animation, ease-out is standard */
        animation-timing-function: linear;
        position: sticky;
    }
@keyframes progressbar-countdown {
    0% {
        width: 100%;
        background: #00ff00;
    }

    50% {
        width: 50%;
        background: #ffff00;
    }
    100% {
        width: 0%;
        background: #ff0000;
    }
}
/*END animate*/
.leftmatchtext {
    width: 50%;
    clip-path: polygon(0 0, 90% 0, 100% 50%, 90% 100%, 0 100%);
}
.rightmatchtext {
    padding-left: 10% !important;
    width: 50%;
    clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%, 10% 50%);
    white-space: nowrap;
    overflow-x: hidden;
}
.textwrap {
    white-space: pre-wrap;
    white-space: -moz-pre-wrap;
    white-space: -pre-wrap;
    white-space: -o-pre-wrap;
    word-wrap: break-word;
}
.transparentBlocker {
    background: rgba(0, 0, 0, 0.00);
    z-index: 1999;
    position: fixed;
    width: 100vw;
    height: 100vh;
    top: 0;
    left: 0;
    display: none;
    cursor: not-allowed;
}
/*END Test Controller*/
/*checkbox design*/
/* Colors */
/* Animation */
input[type=checkbox], input[type=radio] {
    font: 1em "Titillium Web", sans-serif;
    line-height: 1.5;
}

label {
    display: block;
    margin-bottom: 1.5em;
    -webkit-tap-highlight-color: transparent;
}

.cb {
    box-shadow: 0 0 0 0.125em rgba(0, 0, 0, 0.75) inset;
    display: inline-block;
    position: relative;
    width: 1.5em;
    height: 1.5em;
    vertical-align: middle;
    -moz-appearance: none;
    -webkit-appearance: none;
}

    .cb:before, .cb:after {
        content: "";
        display: block;
        position: absolute;
    }

    .cb:before {
        animation: eraseA 0.5s steps(1) forwards;
        background: url("../Content/img/checkmark.png") 0 100% / 1.2em 1.35em no-repeat;
        bottom: 0.2em;
        left: 0.3em;
        width: 0;
        height: 1.35em;
    }

    .cb:after {
        /*animation: eraseB 0.5s linear forwards;*/
        background: linear-gradient(rgba(255, 255, 255, 0.2) 50%, rgba(255, 255, 255, 0) 50%) 11.2em 0, linear-gradient(#c8646e, #c8646e) 11.2em 0, linear-gradient(90deg, rgba(255, 255, 255, 0.6), rgba(255, 255, 255, 0.6) 0.1em, rgba(255, 255, 255, 0) 0.1em, rgba(255, 255, 255, 0) 0.2em, rgba(0, 0, 0, 0.2) 0.2em, rgba(0, 0, 0, 0.2) 0.3em, rgba(0, 0, 0, 0) 0.3em) 9.8em 0 / 0.3em 100%, repeating-linear-gradient(rgba(255, 255, 255, 0.6), rgba(255, 255, 255, 0.6) 0.1em, rgba(255, 255, 255, 0) 0.1em, rgba(255, 255, 255, 0) 0.2em) 10.2em 0 / 0.5em 100%, linear-gradient(90deg, rgba(255, 255, 255, 0.6), rgba(255, 255, 255, 0.6) 0.1em, rgba(255, 255, 255, 0) 0.1em, rgba(255, 255, 255, 0) 0.2em, rgba(0, 0, 0, 0.2) 0.2em, rgba(0, 0, 0, 0.2) 0.3em, rgba(0, 0, 0, 0) 0.3em) 10.8em 0 / 0.3em 100%, linear-gradient(rgba(255, 255, 255, 0) 35%, rgba(255, 255, 255, 0.6) 35%, rgba(255, 255, 255, 0.6) 65%, rgba(255, 255, 255, 0) 65%) 9.7em 0, linear-gradient(#b4b4b4, #b4b4b4) 9.7em 0, linear-gradient(rgba(0, 0, 0, 0.1) 27%, rgba(0, 0, 0, 0) 27%, rgba(0, 0, 0, 0) 73%, rgba(0, 0, 0, 0.2) 73%) 2em 0, linear-gradient(#f0d000, #f0d000) 2em 0, linear-gradient(-14deg, #1e1e1e 18%, rgba(30, 30, 30, 0) 20%) 0 0 / 0.5em 0.5em, linear-gradient(14deg, rgba(30, 30, 30, 0) 80%, #1e1e1e 83%) 0 0.5em / 0.5em 0.5em, linear-gradient(-14deg, #d2a078 48%, rgba(210, 160, 120, 0) 50%) 0 0 / 2em 0.5em, linear-gradient(14deg, rgba(0, 0, 0, 0) 48%, rgba(0, 0, 0, 0.1) 50%) 0 0.5em / 2em 0.5em, linear-gradient(14deg, rgba(210, 160, 120, 0) 48%, #d2a078 50%) 0 0.5em / 2em 0.5em;
        /* eraser */
        /* metal part */
        /* yellow part */
        /* lead */
        /* wooden part */
        background-repeat: no-repeat;
        border-radius: 0 0.1em 0.1em 0;
        opacity: 0;
        visibility: hidden;
        transform-origin: 0 0.25em;
        width: 12em;
        height: 1em;
    }

    .cb:checked {
        background-color: transparent;
    }

        .cb:checked:before {
           animation: drawA 0.5s linear forwards;
        }

        .cb:checked:after {
            animation: drawB 0.5s linear;
        }

    .cb:focus {
        outline: transparent;
    }

        .cb:focus + span {
            color: rgba(0, 0, 0, 0.75);
            outline: transparent;
        }


.cbRadio {
    box-shadow: 0 0 0 0.125em rgba(0, 0, 0, 0.75) inset;
    display: inline-block;
    position: relative;
    width: 1.5em;
    height: 1.5em;
    vertical-align: middle;
    -moz-appearance: none;
    -webkit-appearance: none;
    border-radius:0.75em;
}

    .cbRadio:before, .cbRadio:after {
        content: "";
        display: block;
        position: absolute;
    }

.cbRadio:before {
    /*animation: eraseA 0.5s steps(1) forwards;*/
    background: url("../Content/img/checkmark.png") 0 100% / 1.2em 1.35em no-repeat;
    bottom: 0.2em;
    left: 0.3em;
    width: 0;
    height: 1.35em;
}

.cbRadio:after {
    /*animation: eraseB 0.5s linear forwards;*/
    background: linear-gradient(rgba(255, 255, 255, 0.2) 50%, rgba(255, 255, 255, 0) 50%) 11.2em 0, linear-gradient(#c8646e, #c8646e) 11.2em 0, linear-gradient(90deg, rgba(255, 255, 255, 0.6), rgba(255, 255, 255, 0.6) 0.1em, rgba(255, 255, 255, 0) 0.1em, rgba(255, 255, 255, 0) 0.2em, rgba(0, 0, 0, 0.2) 0.2em, rgba(0, 0, 0, 0.2) 0.3em, rgba(0, 0, 0, 0) 0.3em) 9.8em 0 / 0.3em 100%, repeating-linear-gradient(rgba(255, 255, 255, 0.6), rgba(255, 255, 255, 0.6) 0.1em, rgba(255, 255, 255, 0) 0.1em, rgba(255, 255, 255, 0) 0.2em) 10.2em 0 / 0.5em 100%, linear-gradient(90deg, rgba(255, 255, 255, 0.6), rgba(255, 255, 255, 0.6) 0.1em, rgba(255, 255, 255, 0) 0.1em, rgba(255, 255, 255, 0) 0.2em, rgba(0, 0, 0, 0.2) 0.2em, rgba(0, 0, 0, 0.2) 0.3em, rgba(0, 0, 0, 0) 0.3em) 10.8em 0 / 0.3em 100%, linear-gradient(rgba(255, 255, 255, 0) 35%, rgba(255, 255, 255, 0.6) 35%, rgba(255, 255, 255, 0.6) 65%, rgba(255, 255, 255, 0) 65%) 9.7em 0, linear-gradient(#b4b4b4, #b4b4b4) 9.7em 0, linear-gradient(rgba(0, 0, 0, 0.1) 27%, rgba(0, 0, 0, 0) 27%, rgba(0, 0, 0, 0) 73%, rgba(0, 0, 0, 0.2) 73%) 2em 0, linear-gradient(#f0d000, #f0d000) 2em 0, linear-gradient(-14deg, #1e1e1e 18%, rgba(30, 30, 30, 0) 20%) 0 0 / 0.5em 0.5em, linear-gradient(14deg, rgba(30, 30, 30, 0) 80%, #1e1e1e 83%) 0 0.5em / 0.5em 0.5em, linear-gradient(-14deg, #d2a078 48%, rgba(210, 160, 120, 0) 50%) 0 0 / 2em 0.5em, linear-gradient(14deg, rgba(0, 0, 0, 0) 48%, rgba(0, 0, 0, 0.1) 50%) 0 0.5em / 2em 0.5em, linear-gradient(14deg, rgba(210, 160, 120, 0) 48%, #d2a078 50%) 0 0.5em / 2em 0.5em;
    /* eraser */
    /* metal part */
    /* yellow part */
    /* lead */
    /* wooden part */
    background-repeat: no-repeat;
    border-radius: 0 0.1em 0.1em 0;
    opacity: 0;
    visibility: hidden;
    transform-origin: 0 0.25em;
    width: 12em;
    height: 1em;
}

.cbRadio:checked {
    background-color: transparent;
}

.cbRadio:checked:before {
    animation: drawA 0.5s linear forwards;
}

.cbRadio:checked:after {
    /*animation: drawB 0.5s linear;*/
}

.cbRadio:focus {
    outline: transparent;
}

        .cbRadio:focus + span {
            color: rgba(0, 0, 0, 0.75);
            outline: transparent;
        }





.pristine:before, .pristine:after {
    animation: none;
}

@keyframes drawA {
    from, 5% {
        width: 0;
        height: 1.35em;
    }

    90%, to {
        width: 1.2em;
        height: 1.35em;
    }
}

@keyframes drawB {
    from {
        opacity: 0;
        transform: translate(0em, -0.5em) rotate(-50deg);
        visibility: visible;
    }

    5% {
        opacity: 1;
        transform: translate(0em, 0.3em) rotate(-60deg);
    }

    17% {
        transform: translate(0.25em, 0.8em) rotate(-65deg);
    }

    79% {
        transform: translate(1.1em, -0.14em) rotate(-63deg);
    }

    90% {
        opacity: 1;
        transform: translate(1.2em, -0.15em) rotate(-63deg);
    }

    to {
        opacity: 0;
        transform: translate(1.25em, -1.7em) rotate(-63deg);
    }
}

@keyframes eraseA {
    from {
        width: 1.2em;
        height: 1.35em;
    }

    10% {
        width: 1.2em;
        height: 1.08em;
    }

    27% {
        width: 1.2em;
        height: 0.81em;
    }

    36% {
        width: 1.2em;
        height: 0.7em;
    }

    45% {
        width: 1.2em;
        height: 0.55em;
    }

    55% {
        width: 1.2em;
        height: 0.35em;
    }

    80%, to {
        width: 1.2em;
        height: 0;
    }
}

@keyframes eraseB {
    from {
        opacity: 0;
        transform: translate(0.6em, -12.2em) rotate(90deg);
        visibility: visible;
    }

    10% {
        opacity: 1;
        transform: translate(1.2em, -12.05em) rotate(90deg);
    }

    20% {
        transform: translate(0.6em, -11.9em) rotate(90deg);
    }

    30% {
        transform: translate(1.2em, -11.75em) rotate(90deg);
    }

    40% {
        transform: translate(0.6em, -11.6em) rotate(90deg);
    }

    50% {
        transform: translate(1.2em, -11.45em) rotate(90deg);
    }

    60% {
        transform: translate(0.6em, -11.3em) rotate(90deg);
    }

    70% {
        transform: translate(1.2em, -11.15em) rotate(90deg);
    }

    80% {
        transform: translate(0.6em, -11em) rotate(90deg);
    }

    90% {
        opacity: 1;
        transform: translate(2em, -12.5em) rotate(100deg);
    }

    to {
        opacity: 0;
        transform: translate(2em, -12.5em) rotate(100deg);
    }
}

/*END checkbox design*/
#thankYou {
    width: 100%;
    height: 100%;
    justify-content: center;
    align-items: center;
    background: rgba(84, 84, 84, 0.68);
    position: fixed;
    z-index: 500;
    display: none;
}
#thankYou > img {

}